install(1)

NAME
install - Copy SOURCE to DEST or multiple SOURCE(s) to the existing DIRECTORY, while setting permission modes and owner/group

SYNOPSIS
install [--backup] [-b ] [-c ] [-C|--compare] [-d|--directory] [-D ] [-g|--group] [-m|--mode] [-o|--owner] [-p|--preserve-timestamps] [-s|--strip] [--strip-program] [-S|--suffix] [-t|--target-directory] [-T|--no-target-directory] [-v|--verbose] [-P|--preserve-context] [-Z ] [--context] [-U|--unprivileged] [-h|--help] [-V|--version] [files]

DESCRIPTION
Copy SOURCE to DEST or multiple SOURCE(s) to the existing DIRECTORY, while setting permission modes and owner/group

OPTIONS

--backup[=<CONTROL>]
    make a backup of each existing destination file

-b  like --backup but does not accept an argument

-c  ignored

-C, --compare
    compare each pair of source and destination files, and in some cases, do not modify the destination at all

-d, --directory
    treat all arguments as directory names. create all components of the specified directories

-D  create all leading components of DEST except the last, then copy SOURCE to DEST

-g, --group <GROUP>
    set group ownership, instead of process's current group

-m, --mode <MODE>
    set permission mode (as in chmod), instead of rwxr-xr-x

-o, --owner <OWNER>
    set ownership (super-user only)

-p, --preserve-timestamps
    apply access/modification times of SOURCE files to corresponding destination files

-s, --strip
    strip symbol tables (no action Windows)

--strip-program <PROGRAM>
    program used to strip binaries (no action Windows)

-S, --suffix <SUFFIX>
    override the usual backup suffix

-t, --target-directory <DIRECTORY>
    move all SOURCE arguments into DIRECTORY

-T, --no-target-directory
    treat DEST as a normal file

-v, --verbose
    explain what is being done

-P, --preserve-context
    preserve security context

-Z  set SELinux security context of destination file and each created directory to default type

--context [<CONTEXT>]
    set security context of files and directories

-U, --unprivileged
    do not require elevated privileges to change the owner, the group, or the file flags of the destination

-h, --help
    Print help

-V, --version
    Print version

[files]

VERSION
v(uutils coreutils) 0.6.0